/requests

Fetch up to 100 latest requests during the last 24 hours.

↗ Open in API Explorer
GET

Requests History

Fetch up to 100 latest requests during the last 24 hours.

Request

Endpoint: GET https://api.outscraper.com/requests

Parameters

NameInTypeRequiredDescriptionExampleConstraints
type query string enum No The parameter allows you to filter requests by type (running/finished). - default running, allowed running, finished
skip query integer No The parameter specifies the number of items to skip. Used for pagination. - default 0
pageSize query integer No The parameter specifies the number of requests to return. - default 20

Responses

200

application/json

Your latest request.

[
  {
    "id": "79e6d350-c6c9-449c-a890-7fe14f821ebe",
    "usage": "3"
  },
  {
    "id": "15188338-029a-4d0c-afdd-318e8808d8fe",
    "usage": "10"
  },
  {
    "id": "fd96b82c-6b37-49f0-b69f-b5c793d28284",
    "usage": "12"
  }
]

401

application/json

Wrong or missing API Key (token).

{
  "error": true,
  "errorMessage": "401 Unauthorized: The server could not verify that you are authorized to access the URL requested. You either supplied the wrong credentials (e.g. a bad password), or your browser doesn't understand how to supply the credentials required."
}

Code Samples

cURL

curl -X GET "https://api.outscraper.cloud/requests?type=finished" -H  "X-API-KEY: YOUR-API-KEY"

Python

from outscraper import OutscraperClient

api_client = OutscraperClient(api_key='YOUR-API-KEY')
results = api_client.get_requests_history('finished')

Node.js

const Outscraper = require('outscraper');

let client = new Outscraper('YOUR-API-KEY');
client.getRequestsHistory('finished').then(response => {
   console.log(response);
});

Related Endpoints